package com.propertyManagement.pay.service;

import com.propertyManagement.pay.domain.CmsPayApp;
import com.propertyManagement.pay.domain.vo.CmsPayAppVo;
import com.propertyManagement.pay.domain.bo.CmsPayAppBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 支付应用Service接口
 *
 * @author liushuai
 * @date 2025-05-12
 */
public interface IPayAppService {

    /**
     * 查询支付应用
     */
    CmsPayAppVo queryById(Long id);

    /**
     * 查询支付应用列表
     */
    TableDataInfo<CmsPayAppVo> queryPageList(CmsPayAppBo bo, PageQuery pageQuery);

    /**
     * 查询支付应用列表
     */
    List<CmsPayAppVo> queryList(CmsPayAppBo bo);

    List<CmsPayApp> listAllUsable(String merchantCode);

    /**
     * 新增支付应用
     */
    Boolean insertByBo(CmsPayAppBo bo);

    /**
     * 修改支付应用
     */
    Boolean updateByBo(CmsPayAppBo bo);

    /**
     * 校验并批量删除支付应用信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
